RESTinio

Public Member Functions | List of all members
restinio::easy_parser::impl::to_container_consumer_t Struct Reference

A template for a consumer that stories values into a container. More...

`#include <easy_parser.hpp>`

Inheritance diagram for restinio::easy_parser::impl::to_container_consumer_t:

## Public Member Functions
template<typename Container , typename Item >
void | consume (Container &to, Item &&item)

## Additional Inherited Members
Static Public Attributes inherited from restinio::easy_parser::impl::consumer_tag
static constexpr entity_type_t | entity_type = entity_type_t::consumer

## Detailed Description

A template for a consumer that stories values into a container.

Instances of such consumer will be used inside repeat_clause_t.

Template Parameters

  Container_Adaptor | a class that knows how to store a value into the target container. See result_value_wrapper for the requirement for such type.

Since
  v.0.6.1

Definition at line 4540 of file easy_parser.hpp.

## Member Function Documentation

## ◆ consume()

template<typename Container , typename Item >

void restinio::easy_parser::impl::to_container_consumer_t::consume | ( | Container & | to,
|  | Item && | item
| ) |  |
| inline

Definition at line 4544 of file easy_parser.hpp.

The documentation for this struct was generated from the following file:

- restinio/helpers/easy_parser.hpp